> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public status page components by slug



## OpenAPI

````yaml /openapi.json get /status-pages/public/slug/{slug}/components
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /status-pages/public/slug/{slug}/components:
    get:
      tags:
        - Status Pages
      summary: Get public status page components by slug
      operationId: StatusPageController_getPublicComponentsBySlug
      parameters:
        - name: slug
          required: true
          in: path
          description: Status Page Slug
          schema:
            type: string
      responses:
        '200':
          description: Return public status page components.
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````